Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QComboBox.SizeAdjustPolicy

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QComboBox.SizeAdjustPolicy

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QComboBox

    public static final class QComboBox.SizeAdjustPolicy

extends java.lang.Enum
implements QtEnumerator

This enum specifies how the size hint of the `QComboBox` should adjust when new content is added or content changes.

See Also:
  Serialized Form

Field Summary
`static QComboBox.SizeAdjustPolicy` | `AdjustToContents` The combobox will always adjust to the contents
`static QComboBox.SizeAdjustPolicy` | `AdjustToContentsOnFirstShow` The combobox will adjust to its contents the first time it is shown.
`static QComboBox.SizeAdjustPolicy` | `AdjustToMinimumContentsLength` Use `AdjustToContents` or `AdjustToContentsOnFirstShow` instead.
`static QComboBox.SizeAdjustPolicy` | `AdjustToMinimumContentsLengthWithIcon` The combobox will adjust to `minimumContentsLength` plus space for an icon.

Method Summary
`static QComboBox.SizeAdjustPolicy` | `resolve(int value)` Returns the QComboBox$SizeAdjustPolicy constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QComboBox.SizeAdjustPolicy` | `valueOf(java.lang.String name)`
`static QComboBox.SizeAdjustPolicy[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### AdjustToContents

    public static final QComboBox.SizeAdjustPolicy AdjustToContents

  The combobox will always adjust to the contents

### AdjustToContentsOnFirstShow

    public static final QComboBox.SizeAdjustPolicy AdjustToContentsOnFirstShow

  The combobox will adjust to its contents the first time it is shown.

### AdjustToMinimumContentsLength

    public static final QComboBox.SizeAdjustPolicy AdjustToMinimumContentsLength

  Use `AdjustToContents` or `AdjustToContentsOnFirstShow` instead.

### AdjustToMinimumContentsLengthWithIcon

    public static final QComboBox.SizeAdjustPolicy AdjustToMinimumContentsLengthWithIcon

  The combobox will adjust to `minimumContentsLength` plus space for an icon. For performance reasons use this policy on large models.

Method Detail

### values

    public static QComboBox.SizeAdjustPolicy[] values()

### valueOf

    public static QComboBox.SizeAdjustPolicy valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QComboBox.SizeAdjustPolicy resolve(int value)

  Returns the QComboBox$SizeAdjustPolicy constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD